Jump to content

Attempted to load class net/minecraft/client/gui/screens/Screen for invalid dist DEDICATED_SERVER


Recommended Posts

Hi! I'm trying to launch my modded server but when i do it just crashes. Could anyone help me understand whats wrong and what i gotta do to fix it? i would appreciate it

Log:

[19Feb2024 21:06:50.864] [main/INFO] [Arclight/]:

2

3___ ___ __ /\

4/ | ________/ (_)__ / / / /

5/ /| |/ __/ __/ / / _ / _ \/__/

6/ ___ / / / /_/ / / / / // / /

7/_/ |/_/ \__/_/_/\_ /_//_/ /

8/__/ \/

9

10Version 顿顽 (Trials) / arclight-1.20.1-1.0.5-SNAPSHOT-9931895

11Build Date 2024-02-03 10:29:23

12

13[19Feb2024 21:06:50.913] [main/INFO] [cpw.mods.modlauncher.Launcher/MODLAUNCHER]: ModLauncher running: args [--launchTarget, arclightserver, --fml.forgeVersion, 47.2.20, --fml.mcVersion, 1.20.1, --fml.forgeGroup, net.minecraftforge, --fml.mcpVersion, 20230612.114412, nogui]

14[19Feb2024 21:06:50.915] [main/INFO] [cpw.mods.modlauncher.Launcher/MODLAUNCHER]: ModLauncher 10.0.9+10.0.9+main.dcd20f30 starting: java version 17.0.10 by Eclipse Adoptium; OS Linux arch amd64 version 5.15.0-88-generic

15[19Feb2024 21:06:52.343] [main/INFO] [net.minecraftforge.fml.loading.ImmediateWindowHandler/]: ImmediateWindowProvider not loading because launch target is arclightserver

16[19Feb2024 21:06:52.384] [main/INFO] [mixin/]: SpongePowered MIXIN Subsystem Version=0.8.5 Source=union:/server/libraries/org/spongepowered/mixin/0.8.5/mixin-0.8.5.jar%2399!/ Service=ModLauncher Env=SERVER

17[19Feb2024 21:06:53.130] [main/WARN] [net.minecraftforge.fml.loading.moddiscovery.ModFileParser/LOADING]: Mod file /server/libraries/net/minecraftforge/fmlcore/1.20.1-47.2.20/fmlcore-1.20.1-47.2.20.jar is missing mods.toml file

18[19Feb2024 21:06:53.131] [main/WARN] [net.minecraftforge.fml.loading.moddiscovery.ModFileParser/LOADING]: Mod file /server/libraries/net/minecraftforge/javafmllanguage/1.20.1-47.2.20/javafmllanguage-1.20.1-47.2.20.jar is missing mods.toml file

19[19Feb2024 21:06:53.132] [main/WARN] [net.minecraftforge.fml.loading.moddiscovery.ModFileParser/LOADING]: Mod file /server/libraries/net/minecraftforge/lowcodelanguage/1.20.1-47.2.20/lowcodelanguage-1.20.1-47.2.20.jar is missing mods.toml file

20[19Feb2024 21:06:53.132] [main/WARN] [net.minecraftforge.fml.loading.moddiscovery.ModFileParser/LOADING]: Mod file /server/libraries/net/minecraftforge/mclanguage/1.20.1-47.2.20/mclanguage-1.20.1-47.2.20.jar is missing mods.toml file

21[19Feb2024 21:06:53.527] [main/WARN] [net.minecraftforge.jarjar.selection.JarSelector/]: Attempted to select two dependency jars from JarJar which have the same identification: Mod File: and Mod File: . Using Mod File:

22[19Feb2024 21:06:53.528] [main/WARN] [net.minecraftforge.jarjar.selection.JarSelector/]: Attempted to select a dependency jar for JarJar which was passed in as source: resourcefullib. Using Mod File: /server/mods/resourcefullib-forge-1.20.1-2.1.23.jar

23[19Feb2024 21:06:53.528] [main/WARN] [net.minecraftforge.jarjar.selection.JarSelector/]: Attempted to select a dependency jar for JarJar which was passed in as source: playeranimator. Using Mod File: /server/mods/player-animation-lib-forge-1.0.2-rc1+1.20.jar

24[19Feb2024 21:06:53.528] [main/WARN] [net.minecraftforge.jarjar.selection.JarSelector/]: Attempted to select a dependency jar for JarJar which was passed in as source: curios. Using Mod File: /server/mods/curios-forge-5.7.0+1.20.1.jar

25[19Feb2024 21:06:53.529] [main/INFO] [net.minecraftforge.fml.loading.moddiscovery.JarInJarDependencyLocator/]: Found 15 dependencies adding them to mods collection

26[19Feb2024 21:06:58.845] [main/INFO] [mixin/]: Compatibility level set to JAVA_17

27[19Feb2024 21:06:58.862] [main/ERROR] [mixin/]: Mixin config palladiumcore-common.mixins.json does not specify "minVersion" property

28[19Feb2024 21:06:58.865] [main/ERROR] [mixin/]: Mixin config palladiumcore.mixins.json does not specify "minVersion" property

29[19Feb2024 21:06:59.160] [main/ERROR] [mixin/]: Mixin config azurelib.mixins.json does not specify "minVersion" property

30[19Feb2024 21:06:59.163] [main/ERROR] [mixin/]: Mixin config azurelib.forge.mixins.json does not specify "minVersion" property

31[19Feb2024 21:06:59.329] [main/ERROR] [mixin/]: Mixin config vc_gliders-common.mixins.json does not specify "minVersion" property

32[19Feb2024 21:06:59.332] [main/ERROR] [mixin/]: Mixin config vc_gliders.mixins.json does not specify "minVersion" property

33[19Feb2024 21:06:59.425] [main/INFO] [mixin/]: Successfully loaded Mixin Connector [de.maxhenkel.camera.MixinConnector]

34[19Feb2024 21:06:59.428] [main/INFO] [mixin/]: Successfully loaded Mixin Connector [io.izzel.arclight.common.mod.ArclightConnector]

35[19Feb2024 21:06:59.468] [main/INFO] [Arclight/]: Arclight core mixin added.

36[19Feb2024 21:06:59.470] [main/INFO] [Arclight/]: Arclight optimization mixin added.

37[19Feb2024 21:06:59.474] [main/INFO] [cpw.mods.modlauncher.LaunchServiceHandler/MODLAUNCHER]: Launching target 'arclightserver' with arguments [nogui]

38[19Feb2024 21:06:59.776] [main/WARN] [mixin/]: Reference map 'nitrogen_internals.refmap.json' for nitrogen_internals.mixins.json could not be read. If this is a development environment you can ignore this message

39[19Feb2024 21:06:59.835] [main/WARN] [mixin/]: Reference map 'fallingtrees-forge-refmap.json' for fallingtrees.mixins.json could not be read. If this is a development environment you can ignore this message

40[19Feb2024 21:06:59.849] [main/WARN] [mixin/]: Reference map 'octolib.refmap.json' for octolib.mixins.json could not be read. If this is a development environment you can ignore this message

41[19Feb2024 21:06:59.946] [main/WARN] [mixin/]: Reference map '${refmap_target}refmap.json' for corgilib.forge.mixins.json could not be read. If this is a development environment you can ignore this message

42[19Feb2024 21:06:59.952] [main/WARN] [mixin/]: Reference map 'vc_gliders-forge-refmap.json' for vc_gliders.mixins.json could not be read. If this is a development environment you can ignore this message

43[19Feb2024 21:07:00.016] [main/WARN] [mixin/]: Reference map 'coroutil.refmap.json' for coroutil.mixins.json could not be read. If this is a development environment you can ignore this message

44[19Feb2024 21:07:00.050] [main/INFO] [Puzzles Lib/]: Loading 102 mods:

45- aether 1.20.1-1.2.0-neoforge

46- alexscaves 1.0.9

47- alexsmobs 1.22.7

48- architectury 9.1.12

49- arclight 1.20.1-1.0.5-SNAPSHOT-9931895

50- artifacts 9.2.2

51- athena 3.1.1

52- azurelib 2.0.20

53- betterdeserttemples 1.20-Forge-3.0.3

54- betterdungeons 1.20-Forge-4.0.3

55- betterendisland 1.20-Forge-2.0.5

56- betterfortresses 1.20-Forge-2.0.5

57- betterjungletemples 1.20-Forge-2.0.4

58- bettermineshafts 1.20-Forge-4.0.4

59- betteroceanmonuments 1.20-Forge-3.0.4

60- betterstrongholds 1.20-Forge-4.0.3

61- biomemakeover 1.20.1-1.11.4

62- blue_skies 1.3.31

63- born_in_chaos_v1 1.0.0

64- camera 1.20.1-1.0.6

65- carryon **.**.**.**

66- cataclysm 1.0

67- chipped 3.0.4

68- citadel 2.4.9

69- cloth_config 11.1.118

70- commonnetworking 1.0.2-1.20.1

71- corgilib **.**.**.**

72- coroutil 1.20.1-1.3.7

73- cosmeticarmorreworked 1.20.1-v1a

74- cosmeticarmoursmod **.**.**.**

75- creativecore 2.11.24

76- creeperoverhaul 3.0.1

77- cumulus_menus 1.20.1-1.0.0-neoforge

78- curios 5.7.0+1.20.1

79- dungeoncrawl 2.3.14

80- dungeons_arise 2.1.58-1.20.x

81- dungeons_arise_seven_seas 1.0.2

82- easy_npc 3.7.3

83- ecologics 2.2.0

84- elevatorid 1.20.1-lex-1.9

85- emojiful 4.2.0

86- emotecraft 2.2.7-b.build.50

87- endermanoverhaul 1.0.4

88- endertrigon 1.0

89- enhancedai 2.2.1

90- enhancedcelestials **.**.**.**

91- epicsamurai 0.0.35-1.20.1-neo

92- etcetera 1.20.1-1.1.3

93- expandability 9.0.0

94- explosiont 2.4.8

95- fallingtrees 0.9

96- forge 47.2.20

97- framework 0.6.26

98- gardens_of_the_dead 4.0.1

99- geckolib 4.3.1

100- goblintraders 1.9.3

101- iceandfire 2.1.13-1.20.1+build.beta-2

102- iceberg 1.1.18

103- immersive_armors 1.6.1+1.20.1

104- immersive_melodies 0.1.0+1.20.1

105- infernalmobs **.**.**.**

106- insanelib 1.12.1

107- jei **.**.**.**

108- keebszs_battle_towers 0.6.0-1.20.1

109- minecraft 1.20.1

110- mixinextras 0.2.0-beta.9

111- mixinsquared 0.1.1

112- moonlight 1.20-2.9.17

113- nethers_exoticism 1.2.7

114- nitrogen_internals 1.20.1-1.0.2-neoforge

115- octolib 0.3

116- palladiumcore 1.20-2.0.0.0

117- patchouli 1.20.1-84-FORGE

118- playeranimator 1.0.2-rc1+1.20

119- playerrevive 2.0.24

120- puzzlesaccessapi 8.0.7

121- puzzleslib 8.1.17

122- quark 4.0-436

123- relics **.**.**.**

124- repurposed_structures 7.1.11+1.20.1-forge

125- resourcefulconfig 2.1.2

126- resourcefullib 2.1.23

127- securitycraft 1.9.8

128- sleep_tight 1.20-1.1.19

129- sophisticatedbackpacks 3.20.1.1012

130- sophisticatedcore **.**.**.**

131- structure_gel 2.16.0

132- supplementaries 1.20-2.7.36

133- taniwha 1.20.0-5.4.4

134- terrablender **.**.**.**

135- thedirtystuff 1.3

136- tombstone 8.6.1

137- twilightforest 4.3.2145

138- ultris_mr 5.6.9c

139- unusualprehistory **.**.**.**

140- usefulslime 1.7.2

141- vc_gliders 1.1.5

142- visualworkbench 8.0.0

143- wandering_bags 2.0.7

144- watut 1.20.1-1.1.0

145- yungsapi 1.20-Forge-4.0.3

146- zeta 1.0-13

147[19Feb2024 21:07:01.930] [main/ERROR] [net.minecraftforge.fml.loading.RuntimeDistCleaner/DISTXFORM]: Attempted to load class net/minecraft/client/gui/screens/Screen for invalid dist DEDICATED_SERVER

148[19Feb2024 21:07:01.937] [main/WARN] [mixin/]: Error loading class: net/minecraft/client/gui/screens/Screen (java.lang.RuntimeException: Attempted to load class net/minecraft/client/gui/screens/Screen for invalid dist DEDICATED_SERVER)

149[19Feb2024 21:07:01.937] [main/WARN] [mixin/]: @Mixin target net.minecraft.client.gui.screens.Screen was not found relics.mixins.json:MixinScreen

150[19Feb2024 21:07:03.774] [main/WARN] [mixin/]: Error loading class: noobanidus/mods/lootr/config/ConfigManager (java.lang.ClassNotFoundException: noobanidus.mods.lootr.config.ConfigManager)

151[19Feb2024 21:07:06.838] [main/INFO] [MixinExtras|Service/]: Initializing MixinExtras via com.llamalad7.mixinextras.service.MixinExtrasServiceImpl(version=0.3.2).

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Announcements



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.